//reptile.h
#ifndef REPTILE_H
#define REPTILE_H
#include "animalsBase.h"
#include "tx_api.h"

#define notPoisonous 0
#define poisonous 1

#define canNotChangeColors 0
#define canChangeColors 1

#define attackFailure eatFailure
#define attackSuccess eatSuccess

#define changeColorsFailure eatFailure
#define changeColorsSuccess eatSuccess

#define red 0
#define green 1
#define blue 2



class reptileBase : public animalBase{
	private:
		int isPoisionous;
		int changesColors;
		int currentColor;
		TX_SEMAPHORE theReptileSemaphore;
	public:
		reptileBase();
		reptileBase(int isNocternal, int whatEats, int isPoisonous, int canItChangeColors);
		~reptileBase();
		int attack();
		void print();
		int changeColors(int WhatColor);
};


#endif



